Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.office
Class ImageLoader

    java.lang.Object
      writer2latex.office.ImageLoader

    public final class ImageLoader

extends java.lang.Object

This class extracts images from an OOo file. The images are returned as BinaryGraphicsDocument.

Field Summary
`private java.util.HashSet` | `acceptedFormats`
`private boolean` | `bAcceptOtherFormats`
`private boolean` | `bExtractEPS`
`private GraphicConverter` | `gcv`
`private int` | `nImageCount`
`private OfficeDocument` | `oooDoc`
`private java.lang.String` | `sDefaultFormat`
`private java.lang.String` | `sOutFileName`

Constructor Summary
`ImageLoader(OfficeDocument oooDoc, java.lang.String sOutFileName, boolean bExtractEPS)`

Method Summary
`void` | `addAcceptedFormat(java.lang.String sMime)`
`BinaryGraphicsDocument` | `getImage(org.w3c.dom.Node node)`
`private boolean` | `isAcceptedFormat(java.lang.String sMime)`
`void` | `setAcceptOtherFormats(boolean b)`
`void` | `setDefaultFormat(java.lang.String sMime)`
`void` | `setGraphicConverter(GraphicConverter gcv)`
`void` | `setOutFileName(java.lang.String sOutFileName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### oooDoc

    private OfficeDocument oooDoc

### sOutFileName

    private java.lang.String sOutFileName

### nImageCount

    private int nImageCount

### bExtractEPS

    private boolean bExtractEPS

### gcv

    private GraphicConverter gcv

### bAcceptOtherFormats

    private boolean bAcceptOtherFormats

### sDefaultFormat

    private java.lang.String sDefaultFormat

### acceptedFormats

    private java.util.HashSet acceptedFormats

Constructor Detail

### ImageLoader

    public ImageLoader(OfficeDocument oooDoc,
                       java.lang.String sOutFileName,
                       boolean bExtractEPS)

Method Detail

### setOutFileName

    public void setOutFileName(java.lang.String sOutFileName)

### setAcceptOtherFormats

    public void setAcceptOtherFormats(boolean b)

### setDefaultFormat

    public void setDefaultFormat(java.lang.String sMime)

### addAcceptedFormat

    public void addAcceptedFormat(java.lang.String sMime)

### isAcceptedFormat

    private boolean isAcceptedFormat(java.lang.String sMime)

### setGraphicConverter

    public void setGraphicConverter(GraphicConverter gcv)

### getImage

    public BinaryGraphicsDocument getImage(org.w3c.dom.Node node)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD